#include <bits\stdc++.h>

using namespace std;
int q,n,i;
vector<int> a;


int binarna_pretraga(vector<int> a, int l, int kraj, int x) {
  int s;

  if (l > kraj)
    return -1;
  s = l + (kraj - l)/2;
  if (x > a[s])
    return binarna_pretraga(a, s+1, kraj, x);
  else if (x < a[s])
    return binarna_pretraga(a, l, s-1, x);
  else return s;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin>>n>>q;
    for(i=0;i<n;i++){
        int x;
        cin>>x;
        a.push_back(x);
    }
    sort(a.begin(),a.end());
    int m=n/2+1;
    for(i=0;i<q;i++){
        int x;
        cin>>x;
        int poz=binarna_pretraga(a,0,n-1,x);
        if(poz==-1)cout<<n;
        else if(poz+1==m)cout<<0<<'\n';
        else if(poz+1<m)cout<<n/poz<<'\n';
        else if(poz+1>m)cout<<n-(poz-1)*2<<'\n';
    }

    return 0;
}